#!/bin/bash

set -ex

TARGET_VERSION=$2
BUILD_VERSION=$3
PROD_TARGET_VERSION=$4
PROD_BUILD_VERSION=$5
SRC_VERSION=$6

podman exec -u root $1 sh -c "echo 'If you use a rolling tag of an image and need information of the equivalent non-rolling tag: you find the non rolling tag here: \n\n$TARGET_VERSION\n\n\nIf you need the immutable tag for this image, you find it here: \n\n$BUILD_VERSION\n\n\nThe production images are found here:\n\nNon-Rolling-Tag:$PROD_TARGET_VERSION\n\nImmutable tag:$PROD_BUILD_VERSION\n\nThe image with all sources is found here:\n\n$SRC_VERSION' > /readme_references.txt"
